Subject: Kang Xi etc

From: Richard S Cook <[email-masked]>
Date: Mon, 26 Jun 1995 11:11:41 +0059

Response to Mr. Schiffer <<[email-masked]>>:
>>I'm wondering how many entries the oft quoted Kang Xi dictionary
>>has, as well as if there is an electronic version of it?

If there is an electronic version of Kang1Xi1 Zi4dian3, I also want to
know about it. What about Shuo1Wen2Jie3Zi4 and the classics? Does anyone
have info on where I can find a Big5 Spring and Fall Classic?

The Kang Xi Zidian published in 1716 contained 47,035 entries divided
under 214 classifiers. The original work used the twelve earthly branches
to mark the dictionary into twelve divisions, and each division was
subsequently divided into three volumes. So the original dictionary was
composed in thirty-six volumes.

There have been a number of new editions since then, some of which are
printed in considerably smaller format (one or two volumes) and
incorporate corrections, changes and additions. So one you find may vary.

Other dictionaries contain more characters with their periodic/stylistic
variants and also modern etymologies. For example, the Hanyv Da Zidian
contains about 56,000 entries, with each entry containing from zero to
twenty or so periodic/stylistic variants. These periodic/stylistic
variants include exempla from oracle bone and shell inscriptions right on
up through stone, bronze and seal characters. Some dicitionaries, in
addition contain relatively modern caligraphic variants (e.g. cao3shu1.)

Therefore, when someone talks about making "all" Chinese characters
available in an electronic font, as I read recently on this list, the
person really ought to consider that "all" for the purposes of the
linguist or the whole literary tradition is really a very large number of
characters. A conservative estimate might be 100,000 characters, assuming
on average three variants (jia3gu3, jin1wen2, xiao3zhuan4) for about two
thirds of the entries. Many variants can be hypothesized for which there
are no exempla.

But a truly comprehensive font would include the entire inventory of
bronze and bone/shell character variants, some of which have no modern
counterparts.

Thus the definition of what constitutes a "complete" character set really
is dependent upon usage.

[email-masked]
Richard S. Cook, Jr.
111 Park Dr. Suite 58
Boston, MA 02215
voice: 617-267-4925